classification
Title: Write Unit Test for Vec2 and TNavigator class in the Turtle Module
Type: enhancement Stage:
Components: Tests, Tkinter Versions: Python 3.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: Lita.Cho, jesstess
Priority: normal Keywords: patch

Created on 2014-06-04 07:05 by Lita.Cho, last changed 2014-07-12 00:33 by Lita.Cho. This issue is now closed.

Files
File name Uploaded Description Edit
test_turtle_textonly.py Lita.Cho, 2014-06-10 18:00
vec2_tnav.patch Lita.Cho, 2014-06-20 01:47 review
Messages (4)
msg219747 - (view) Author: Lita Cho (Lita.Cho) * Date: 2014-06-04 07:05
Ingrid and I are trying to add test coverage to the Turtle module as there isn't one currently. Going to work on testing the Vec2 module.
msg220181 - (view) Author: Lita Cho (Lita.Cho) * Date: 2014-06-10 18:00
Here are the tests for Vec2D. I have also included the tests for TNavigator here as well as they are all going into the same test module.
msg221059 - (view) Author: Lita Cho (Lita.Cho) * Date: 2014-06-20 01:47
Finished testing TNavigator and Vec2 class.
msg222814 - (view) Author: Lita Cho (Lita.Cho) * Date: 2014-07-12 00:33
Ingrid and I combined our tests. The patch now lives here: http://bugs.python.org/issue21916
History
Date User Action Args
2014-07-12 00:33:46Lita.Chosetstatus: open -> closed
resolution: duplicate
messages: + msg222814
2014-06-20 01:47:30Lita.Chosetfiles: + vec2_tnav.patch
keywords: + patch
messages: + msg221059

title: Write Unit Test for Vec2 class in the Turtle Module -> Write Unit Test for Vec2 and TNavigator class in the Turtle Module
2014-06-10 18:00:14Lita.Chosetfiles: + test_turtle_textonly.py

messages: + msg220181
2014-06-04 07:05:20Lita.Chocreate